import type { Prismjs } from './prismjs';
import type { Shiki } from './shiki';
import type { InjectionKey, Ref } from 'vue';
export interface HighlighterOptions {
    type?: 'prismjs' | 'shiki';
    prismjs?: Prismjs;
    shiki?: Shiki;
}
export interface Highlighter {
    highlight(code: string, language: string): Promise<string>;
}
export declare const HighlighterKey: InjectionKey<Ref<Highlighter>>;
export declare function createHighlighter(options?: HighlighterOptions): Ref<Highlighter>;
export declare function useHighlighter(): Ref<Highlighter>;
